Subject: bug#59077: mouse-3 regression

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Nov 2022 16:11:08 +0200

> From: Angelo Borsotti <[email-masked]>
> Date: Sun, 6 Nov 2022 14:32:03 +0100
> 
> I am running GNU Emacs 28.2 (build 2, x86_64-w64-mingw32)
>  of 2022-09-13 on Windows 10 64 bits.
> The mouse-3 functioning has changed with respect to the
> previous version of emacs: how there is a need to click it
> twice to cut the region.
> How can I make emacs go back to its previous behavior,
> i.e. have the mouse-3 button cut the region with one click
> only?

What was the Emacs version where you saw something different?  I see
the same behavior in all the versions back to Emacs 25:

  <mouse-3> (translated from <down-mouse-3> <mouse-3>) at that spot runs
  the command mouse-save-then-kill (found in global-map), which is an
  interactive native-compiled Lisp function in ‘mouse.el’.

  It is bound to <mouse-3>.

  (mouse-save-then-kill CLICK)

  Set the region according to CLICK; the second time, kill it.
                                     ^^^^^^^^^^^^^^^^^^^^^^^^
So this command always required double-click to actually cut the
region, and the binding of mouse-3 didn't change.